API referenceBidding XBID
POST /api/XBID/SpotMarketPricesByContractId
Returns Spot auction prices whose delivery period overlaps the selected XBID contract. Use them as reference prices when analysing or pricing a continuous-market order.
POST
/api/XBID/SpotMarketPricesByContractIdcurl -X POST "/api/XBID/SpotMarketPricesByContractId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 0
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int64>
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDSpotMarketPriceDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"marketId": 1,
"marketName": "string",
"price": 0
}
]
}